Subject: bug#4896: DocView: Continuous mode

From: Tassilo Horn <[email-masked]>
Date: Mon, 30 Nov 2009 08:32:13 +0100

Juri Linkov <[email-masked]> writes:

Hi Juri,

>> We could have a variable `doc-view-continuous-kind' and a minor mode
>> `doc-view-continuous-mode'.  To me the current behavior, smooth
>> scrolling or even auto-scrolling are all different kinds of
>> continuous mode.
>>
>> This would allow the flexibility you are striving for while still
>> make it easy for user to toggle to non-continuous mode.
>
> But this means that continuous mode should be enabled by default,
> because the current default behavior is a kind of continuous mode that
> allows only SPC and DEL to jump to the next/previous page.
>
> This means that users will be interested only in changing the value of
> `doc-view-continuous-kind' (interactively from the menu or with a
> command bound to some key).  Thus the minor mode
> `doc-view-continuous-mode' will be useless.

If doc-view-continuous-kind has a value `none' and there's an interface
for changing the value quickly, I'm also satisfied without having a
minor mode. :-)

Bye,
Tassilo